/*****************************-*- andrew-c -*-********************************/
/* Filename:    libipmi-private.h                                            */
/* Author:      Andrew McCallum (andrewm@ami.com)                            */
/* Created:     10/06/2003                                                   */
/* Modified:    12/14/2005 took from G3 libipmi (Rajasekhar)                 */
/* Description: Private IPMI related functions and defines.  Nobody should   */
/*              use this stuff outside of libipmi.                           */
/*****************************************************************************/


#ifndef LIBIPMI_PRIVATE_H
#define LIBIPMI_PRIVATE_H

/* Location of the file containing the most recent sequence number */
#define SEQ_NUM_FILE           "/var/state/i2c_seq_num"

/* The number of times we will try to send a command and get a response */
/* before we give up, and allow the error to filter up to the caller    */
#define IPMI_COMMAND_RETRIES    ( 3 )

#endif
