/* ***************************-*- andrew-c -*-****************************** */
/* Filename:    sensor_helpers.h                                             */
/* Author:      Andrew McCallum (andrewm@ami.com)                            */
/* Format:      Indent: 4 spaces, no tabs                                    */
/* Created:     09/21/2004                                                   */
/* Modified:    10/01/2004                                                   */
/* Description: Prototypes for sensor helper functions                       */
/* ************************************************************************* */

#ifndef SENSOR_HELPERS_H_
#define SENSOR_HELPERS_H_

#include "libipmi_sensor.h"

int ipmi_convert_reading( u8 *sdr_buffer, u8 raw_reading, float *converted_reading );
int read_sensor_sdrs( IPMI20_SESSION_T *pSession, struct sensor_info **sensor_list,
					  int timeout );
int get_sdr_sensor_state( u8 sensor_reading, u8 *sdr_buffer, u16 *current_state );


#endif
